Skip to content
Start here

Delete event

waiting_rooms.events.delete(strevent_id, EventDeleteParams**kwargs) -> EventDeleteResponse
DELETE/zones/{zone_id}/waiting_rooms/{waiting_room_id}/events/{event_id}

Deletes an event for a waiting room.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
waiting_room_id: str
event_id: str
ReturnsExpand Collapse
class EventDeleteResponse:
id: Optional[str]

Delete event

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
event = client.waiting_rooms.events.delete(
    event_id="25756b2dfe6e378a06b033b670413757",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    waiting_room_id="699d98642c564d2e855e9661899b7252",
)
print(event.id)
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757"
  }
}
Returns Examples
{
  "result": {
    "id": "25756b2dfe6e378a06b033b670413757"
  }
}